summaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* cups: upgrade to 2.0.4ChenQi/PU-20150805Chen Qi2015-08-052-6/+6
| | | | Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
* resolvconf: upgrade to 1.77Chen Qi2015-08-051-3/+3
| | | | Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
* builder: Fix multilib compile failureRichard Purdie2015-08-031-1/+1
| | | | | | | | | | | The last commit introduced a build failure in the multilib case: | WARNING: /media/data1/build1/poky/build/tmp/work/x86-pokymllib32-linux/lib32-builder/0.1-r6/temp/run.do_install.781:1 exit 1 from | chown lib32-builder.lib32-builder /media/data1/build1/poky/build/tmp/work/x86-pokymllib32-linux/lib32-builder/0.1-r6/image/etc/mini_x/session.d/builder_hob_start.sh so fix the chown to use the correct user. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* perl: fix build failure if building dir has the "blib" stringWenzong Fan2015-08-013-0/+35
| | | | | | | | | | | | | If build dir includes the string "blib", filter it out from @INC may empty the @INC and cause build errors like: Can't locate ExtUtils/MakeMaker.pm in @INC \ (you may need to install the ExtUtils::MakeMaker module) \ (@INC contains: .) at Makefile.PL Signed-off-by: Roy Li <rongqing.li@windriver.com> Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* rootfs.py: fix PRE/POSTPROCESS_COMMANDS for rpm and debRobert Yang2015-08-011-1/+15
| | | | | | | | | | | The rpm didn't run RPM_PREPROCESS_COMMANDS or RPM_POSTPROCESS_COMMANDS, the similar to deb, this patch fix the problem. And fix a typo: DEB_POSTPROCESS_COMMAND -> DEB_POSTPROCESS_COMMANDS Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python3: delete patches that don't get applied anywhereDominic Sacré2015-08-015-179/+0
| | | | | | | These patches are not referenced in any of the Python recipes. Signed-off-by: Dominic Sacré <dominic.sacre@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python3: remove 2to3 symlink from package python3-2to3Dominic Sacré2015-08-013-2/+5
| | | | | | | | | The 2to3 symlink conflicts with its Python 2 equivalent in package python-2to3. The Python 3 version of the tool is still available as 2to3-3.4. Signed-off-by: Dominic Sacré <dominic.sacre@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python3: remove package python3-robotparserDominic Sacré2015-08-012-10/+3
| | | | | | | | | | | | | | | | robotparser has been moved to urllib.robotparser in Python 3, and gets packaged as part of python3-netclient alongside the rest of urllib. This causes python3-modules to depend on an empty/missing python3-robotparser package. robotparser.py is relatively small and has no dependencies outside urllib, so it makes more sense to eliminate the python3-robotparser package than to alter the manifest for python3-netclient. Part of the fix for [YOCTO #8048]. Signed-off-by: Dominic Sacré <dominic.sacre@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python3: detect libraries in STAGING_LIBDIRDominic Sacré2015-08-013-42/+31
| | | | | | | | | | | | | | | | | | | | | | | | | | | | Patch setup.py so that the detect_modules() function looks for required libraries and headers in STAGING_LIBDIR / STAGING_INCDIR. Without this patch, several extension modules are not built, even though their dependencies are present in the compiler's search paths. The result is the following warning, and ultimately incomplete packages: | The necessary bits to build these optional modules were not found: | _bz2 _curses_panel _dbm | _gdbm _lzma _sqlite3 | nis readline zlib | To find the necessary bits, look in setup.py in detect_modules() for the module's name. With the Python 3.3 version of the recipe, at least some of these modules were built, because STAGING_LIBDIR happened to be in the search path by coincidence. Due to changes to distutils in Python 3.4, this is no longer the case. A previous patch that only affects the search paths for SSL is dropped, as this one is a more complete fix for [YOCTO #7768]. Part of the fix for [YOCTO #8048]. Signed-off-by: Dominic Sacré <dominic.sacre@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* builder: fix USERADD_PARAMRobert Yang2015-08-011-1/+1
| | | | | | | | When build lib32-builder, it would create the user lib32-builder which was incorrect. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* useradd_base.bbclass: do not warn when the user existsRobert Yang2015-08-011-2/+2
| | | | | | | | | Use bbnote rather than bbwarn when the user exists, otherwise we would always get the warnings when rebuild the recipe or build with mulitlib, everything is OK if the user exists, so it should not be a warning. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatalRobert Yang2015-08-011-29/+29
| | | | | | | | | | | Print PN will help debug: WARNING: openssh: user sshd already exists, not re-creating it Which is better than: WARNING: user sshd already exists, not re-creating it Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* base.bbclass/blacklist.bbclass: remove doc item when d.getVarFlags()Robert Yang2015-08-012-0/+4
| | | | | | | | The FOO[doc] is set in meta/conf/documentation.conf, we need remove it from d.getVarFlags()'s return dict when it causes many loops. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* base.bbclass: move invalid PACKAGECONFIG checking to insane.bbclassRobert Yang2015-08-012-4/+11
| | | | | | | | | | | | | | | | | There was a problem when check invalid PACKAGECONFIG in the anonymous function (when parsing), for example, there are two versions of a recipe: foo_1.0.bb foo_2.0.bb While foo_2.0.bb has a "PACKAGECONFIG[item] = 'x,y,z'", but foo_1.0.bb doesn't, if we set PACKAGECONFIG_pn-foo = "item" in a conf file, we would get the warning about invalid PACKAGECONFIG for foo_1.0.bb. Delay the checking to build time will fix the problem. [YOCTO #8065] Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: enable support for sha1sum and sha256sum appletsAndre McCurdy2015-08-014-0/+6
| | | | | Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: support mount via label for btrfs and squashfsAndre McCurdy2015-08-014-11/+18
| | | | | | | | | | | | Also move the mount via label (and mount via UUID) support into its own config fragment and disable volume ID support for less common filesystem formats exFAT and NILFS. Following this commit, mount via label is supported for btrfs, ext, f2fs, fat and squashfs. Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: disable fatattr in defconfigAndre McCurdy2015-08-011-1/+1
| | | | | | | | The fatattr applet (to display or change file attributes on a fat file system) doesn't seem to be core functionality, so disable by default. Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: disable sha3sum in defconfigAndre McCurdy2015-08-011-1/+1
| | | | | | | | The sha1sum, sha256sum and sha512sum applets have not historically been enabled by default, so don't enable sha3sum either. Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: refresh defconfig for busybox v1.23.2Andre McCurdy2015-08-011-4/+43
| | | | | | | | | | The current oe-core busybox defconfig dates back to busybox v1.20.2, so configure options introduced in busybox v1.21.x, v1.22.x and v1.23.x take on default values when the oe-core defconfig is run through 'make oldconfig'. Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: re-order defconfig to align with busybox 1.23.2Andre McCurdy2015-08-011-42/+42
| | | | | | | | | No functional changes, simply re-order lines in defconfig so that the existing options don't move elsewhere in the file when run though busybox 1.23.2 'make oldconfig'. Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* busybox: remove CONFIG_FEATURE_VI_OPTIMIZE_CURSOR from defconfigAndre McCurdy2015-08-011-1/+0
| | | | | | | | | | CONFIG_FEATURE_VI_OPTIMIZE_CURSOR is obsolete and removed from busybox v1.21.0 onwards: http://git.busybox.net/busybox/commit/?id=04b52892ed5d9d8a4cf5d887c221a8b50c71274e Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* dhcp: fix installed not shipped warning for lib32Zhixiong Chi2015-08-011-7/+7
| | | | | | | | | Modify the dhcp.inc with using the variable ${PN} instead of direct packagename, so that the content will not be override after expanding while we build the lib32-dhcp package with FILES_${PN}-xxxx_append. Signed-off-by: Zhixiong Chi <zhixiong.chi@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* populate_sdk_ext: pass BBPATH to devtool --bbpathChristopher Larson2015-08-011-1/+2
| | | | | Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* devtool: add --bbpath argumentChristopher Larson2015-08-011-4/+11
| | | | | Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* populate_sdk_ext: use lnr, not ln -sr, for portabilityChristopher Larson2015-08-011-2/+2
| | | | | | | Not all hosts are running sufficiently new coreutils. Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python-scons: 2.3.4 -> 2.3.6Richard Purdie2015-08-012-3/+3
| | | | | | License copyright year changed. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* kexec-tools: 2.0.9 -> 2.0.10Richard Purdie2015-08-016-140/+69
| | | | | | | Drop patch merged upstream and part of x32 patch merged upstream. Refresh patches. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* mpfr: 3.1.2 -> 3.1.3Richard Purdie2015-08-012-2/+2
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libmpc: 1.0.2 -> 1.0.3Richard Purdie2015-08-011-2/+2
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* opkg: solve inconsistency of using different lists directoriesAlejandro Hernandez2015-08-011-1/+1
| | | | | | | | | | | | | | Default behavior of opkg was to use ${OPKGLIBDIR}/opkg/lists; but in our recipe we modify it to ${OPKGLIBDIR}/opkg/${OPKGLIBDIR}/opkg/, when appending package-management to IMAGE_FEATURES these lists are populated during build time (using the default directory), but since our config was different these populated lists were never used at runtime, this patch solves this inconsistency by using default behavior for both build time and runtime. [YOCTO #6966] Signed-off-by: Alejandro Hernandez <alejandro.hernandez@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* base.bbclass: Note when including pn with INCOMPATIBLE_LICENSESBeth Flanagan2015-08-011-3/+26
| | | | | | | | | | | | | We need to be able to tell people if we WHITELIST a recipe that contains an incompatible licese. Example: If we set WHITELIST_GPL-3.0 ?= "foo", foo will end up on an image even if GPL-3.0 is incompatible. This is the correct behaviour but there is nothing telling people that it is even happening. Signed-off-by: Beth Flanagan <elizabeth.flanagan@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* init-install-efi.sh: Check if an installation device is presentLeonardo Sandoval2015-08-011-0/+5
| | | | | | | | | | In case there is no installation device present, give a better message to the user and abort installation. [YOCTO #7971] Signed-off-by: Leonardo Sandoval <leonardo.sandoval.gonzalez@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* oeqa/commands: Increase qemu boot timeout to match testimage.bbclassRichard Purdie2015-07-311-1/+1
| | | | | | | This matches the value in testimage.bbclass, which makes sense since the autobuilders are usually contended. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* license_class: Fix choose_lic_set into incompatible licenseAníbal Limón2015-07-311-2/+2
| | | | | | | | | | Use canonical_license when doing evaluation of license expresion since INCOMPATIBLE_LICENSE are already canonized. [YOCTO #8080] Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* distrodata.bbclass: drop the manual upstream version check logicAlexander Kanavin2015-07-311-18/+1
| | | | | | | It's already taken care of in meta/lib/oe/recipeutils.py Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* distrodata.bbclass: do not skip -native recipes in checkpkg taskAlexander Kanavin2015-07-311-3/+0
| | | | | | | | Some recipes are available only in the -native flavour, and we need to check their upstream version too from the command line. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* nss: advance to version 3.19.1Joe Slater2015-07-312-11/+10
| | | | | | | | Picks up fixes for CVE-2015-2721 and CVE-2015-2730. Specify previously overlooked license file COPYING. Fold nss.inc into recipe. Signed-off-by: Joe Slater <jslater@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* perf: add liblzma depdenencyBruce Ashfield2015-07-311-1/+1
| | | | | | | | | | | | | | | | | | | With kernel commit 6c6f0f6164f [tools build: Add feature check for lzma library], perf now performs a test for lzma and adds functionality appropriately. This currently is a floating dependency that will sometimes be present, and sometimes not. The result is the following QA warning: WARNING: QA Issue: perf rdepends on liblzma, but it isn't a build dependency? [build-deps] By adding xz to the DEPENDS, we'll ensure that it is consistently in place. [YOCTO: #8045] Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* guilt-native: set PV in the recipe to allow upstream version checkAlexander Kanavin2015-07-311-1/+1
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* stress: use developer's website for SRC_URIAlexander Kanavin2015-07-311-1/+1
| | | | | | | | So that upstream version check happens at the upstream, not at Fedora's build servers. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* shared-mime-info: reorder SRC_URI lines to fix upstream version checkAlexander Kanavin2015-07-311-1/+1
| | | | | | | Upstream tarball should be listed first. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* syslinux: drop v6.xx/ from directory path in SRC_URIAlexander Kanavin2015-07-311-1/+1
| | | | | | | This allows upstream version check. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pseudo: fix upstream SRC_URI to enable upstream version checkAlexander Kanavin2015-07-311-1/+1
| | | | | | | Previous URI did not allow directory listings. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* libmad: use ftp instead of sourceforge for consistency with libid3tagAlexander Kanavin2015-07-311-1/+1
| | | | | | | | Both ftp and SF are official code sources, but ftp is less finicky for upstream version checks. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* eglinfo: change version from 1.0 to 1.0.0 to match the upstream git tagAlexander Kanavin2015-07-312-0/+0
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* ossp-uuid: update SRC_URI to not use Google CodeAlexander Kanavin2015-07-311-1/+1
| | | | | | | | Google Code is shutting down so tarballs will be fetched from a Debian mirror instead Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* adt-installer: update SRC_URI to not use Google CodeAlexander Kanavin2015-07-311-1/+1
| | | | | | | | Google Code is shutting down and opkg tarballs are now available from yoctoproject.org Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* libproxy: update SRC_URI to not use Google CodeAlexander Kanavin2015-07-311-4/+3
| | | | | | | | Google Code is shutting down soon, so libproxy tarball is now fetched from Debian mirrors Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* oeqa/sstatetests.py: add annotator to test_sstate_32_64_same_hash [YOCTO #6006]Costin Constantin2015-07-311-0/+1
| | | | | Signed-off-by: Costin Constantin <costin.c.constantin@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* oeqa/sstatetests.py: add decorator to test_sstate_nativelsbstring_same_hashCostin Constantin2015-07-311-0/+1
| | | | | Signed-off-by: Costin Constantin <costin.c.constantin@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>